List accessible records
curl --request GET \
--url https://api.airctrl.dev/v1/records \
--header 'Authorization: Bearer <token>' \
--header 'x-account-id: <x-account-id>'import requests
url = "https://api.airctrl.dev/v1/records"
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-account-id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.airctrl.dev/v1/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": [
{
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"secret_format": "plain",
"state": "active",
"tags": [
"<string>"
],
"secret_due_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"rotated_at": "2023-11-07T05:31:56Z",
"rotation_interval_days": 2,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_username": "<string>",
"owner_display_name": "<string>",
"owner_tone": "<string>",
"shared_count": 1,
"last_event_at": "2023-11-07T05:31:56Z",
"last_access_at": "2023-11-07T05:31:56Z"
}
]
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Authentication is required"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "forbidden",
"message": "not_authorized"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "rate_limited",
"message": "Too many requests"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "internal_error",
"message": "Internal server error"
},
"requestId": "req_example"
}Records
List accessible records
Returns record metadata across the active account. It never returns plaintext secret values. Human PATs and Service Account tokens are supported.
GET
/
records
List accessible records
Authorizations
personal-access-tokenservice-account-token
Human personal access token (sk-actrl-pat-...).